Bug 1293071 - [abrt] kde-cli-tools: qt_message_fatal(): kcmshell5 killed by SIGABRT
[abrt] kde-cli-tools: qt_message_fatal(): kcmshell5 killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-cli-tools (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:acba4374ec98266390d234a1338...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 16:03 EST by Nick
Modified: 2016-12-20 12:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:11:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.37 KB, text/plain)
2015-12-19 16:03 EST, Nick
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-19 16:03 EST, Nick
no flags Details
File: core_backtrace (7.23 KB, text/plain)
2015-12-19 16:03 EST, Nick
no flags Details
File: dso_list (15.29 KB, text/plain)
2015-12-19 16:03 EST, Nick
no flags Details
File: environ (1.59 KB, text/plain)
2015-12-19 16:03 EST, Nick
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-19 16:03 EST, Nick
no flags Details
File: maps (72.98 KB, text/plain)
2015-12-19 16:03 EST, Nick
no flags Details
File: mountinfo (3.21 KB, text/plain)
2015-12-19 16:03 EST, Nick
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-19 16:03 EST, Nick
no flags Details
File: open_fds (760 bytes, text/plain)
2015-12-19 16:03 EST, Nick
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-12-19 16:03 EST, Nick
no flags Details
File: var_log_messages (308 bytes, text/plain)
2015-12-19 16:03 EST, Nick
no flags Details

  None (edit)
Description Nick 2015-12-19 16:03:01 EST
Description of problem:
I can't give step by step, as I think I was trying to open the screen locker control panel after experiencing the kscreenlocker bug I just reported.  The system chugged a few moments, a small outline of a window appeared, but before it filled in, it disappeared and asked me to report this bug.

Version-Release number of selected component:
kde-cli-tools-5.5.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kcmshell5 screenlocker
crash_function: qt_message_fatal
executable:     /usr/bin/kcmshell5
global_pid:     26325
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1578
 #3 QMessageLogger::fatal at global/qlogging.cpp:781
 #4 QSGRenderLoop::handleContextCreationFailure at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/quick/scenegraph/qsgrenderloop.cpp:244
 #5 QSGThreadedRenderLoop::handleExposure at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:919
 #6 QSGThreadedRenderLoop::exposureChanged at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:857
 #7 QWindow::event at kernel/qwindow.cpp:2053
 #8 QQuickWindow::event at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/quick/items/qquickwindow.cpp:1413
 #9 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3716
 #10 QApplication::notify at kernel/qapplication.cpp:3499
 #11 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
Comment 1 Nick 2015-12-19 16:03:04 EST
Created attachment 1107829 [details]
File: backtrace
Comment 2 Nick 2015-12-19 16:03:05 EST
Created attachment 1107830 [details]
File: cgroup
Comment 3 Nick 2015-12-19 16:03:06 EST
Created attachment 1107831 [details]
File: core_backtrace
Comment 4 Nick 2015-12-19 16:03:07 EST
Created attachment 1107832 [details]
File: dso_list
Comment 5 Nick 2015-12-19 16:03:08 EST
Created attachment 1107833 [details]
File: environ
Comment 6 Nick 2015-12-19 16:03:09 EST
Created attachment 1107834 [details]
File: limits
Comment 7 Nick 2015-12-19 16:03:10 EST
Created attachment 1107835 [details]
File: maps
Comment 8 Nick 2015-12-19 16:03:11 EST
Created attachment 1107836 [details]
File: mountinfo
Comment 9 Nick 2015-12-19 16:03:12 EST
Created attachment 1107837 [details]
File: namespaces
Comment 10 Nick 2015-12-19 16:03:13 EST
Created attachment 1107838 [details]
File: open_fds
Comment 11 Nick 2015-12-19 16:03:13 EST
Created attachment 1107839 [details]
File: proc_pid_status
Comment 12 Nick 2015-12-19 16:03:14 EST
Created attachment 1107840 [details]
File: var_log_messages
Comment 13 Rex Dieter 2015-12-19 16:46:26 EST
Looks similar to the other crash you reported... I would suspect the opengl wasn't working due to your driver changes.
Comment 14 Fedora End Of Life 2016-11-24 09:22:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:11:15 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.